Skip to main content
POST
/
api2
/
v1
/
auth
/
loginWithApple
/
code
Login with Apple with code
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/auth/loginWithApple/code \
  --header 'Content-Type: application/json' \
  --header 'None: <api-key>' \
  --data '
{
  "codeOrRefreshToken": "<string>"
}
'
{
  "expires": "2023-11-07T05:31:56Z",
  "lastInvalidateAllSessionsPerformed": "2023-11-07T05:31:56Z",
  "token": "<string>",
  "user": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  }
}

Authorizations

None
string
header
required

No authentication required. This is used for public endpoints.

Query Parameters

native
boolean

For sign in with code from native device

Body

application/json

Apple authorization code

Request to log in with an Apple authorization code or refresh token

codeOrRefreshToken
string
required

Apple authorization code or refresh token

Response

OK

Successful login response containing the API token and the logged-in user

expires
string<date-time>

Date and time when the API token expires

lastInvalidateAllSessionsPerformed
string<date-time>

Date and time when all sessions were last invalidated for the user

token
string

API token to authenticate subsequent requests

user
object